Name:           puppet-sudo
Version:        2.1
Release:        1%{?dist}
Summary:        Masterless puppet module for sudo

Group:          CERN/Utilities
License:        BSD
URL:            http://linux.cern.ch
Source0:        %{name}-%{version}.tgz

BuildArch:      noarch

%description
Masterless puppet module for sudo.

%prep
%setup -q

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/sudo/
cp -ra code/* %{buildroot}/%{_datadir}/puppet/modules/sudo/
touch %{buildroot}/%{_datadir}/puppet/modules/sudo/linuxsupport

%files -n puppet-sudo
%{_datadir}/puppet/modules/sudo
%doc code/README.md

%changelog
* Thu Feb 11 2021 Ben Morrice <ben.morrice@cern.ch> - 2.1-1
- move away from hiera to lookup

* Thu Jan 09 2020 Ben Morrice <ben.morrice@cern.ch> - 2.0-2
- Rebuild for el8
 
* Wed May 02 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-1
- New version for locmap 2.0

* Fri Dec 16 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-1
- Missing directory creation for /root/.sudo :(

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Fri Jun 17 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Initial release
